﻿.footer-info-box{
    width: 100%;
    display: block;
    position: absolute;
    background-color: #333;
    bottom: 0;
}
.footer-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    padding: 20px 0;
}
.footer-web{
    display: inline-block;
    width: 48%;
    font-size: 14px;
    color: #FFF;
    font-family: "微軟正黑體";
    letter-spacing: 2px;
    margin-left: 20px;
}
.footer-top{
    display: inline-block;
    font-size: 14px;
    color: #FFF;
    position: absolute;
    right: 0px;
    cursor: pointer;
}
.index-info-top{
    display: inline-block;
    position: fixed;
    z-index: 16;
    color: #FFF;
    font-family: "微軟正黑體";
    top: 23%;
    right: 30px;
}
.index-info-all-line-box{
    display: inline-block;
    position: relative;
}

.index-info-top-line{
    width: 20px;
    height: 1px;
    background-color: #FFF;
    display: inline-block;
    position: relative;
    margin: 5px 0;
    transition: all 0.5s linear;
}
.index-info-top-line-box{
    position: relative;
    display: block;
    text-align: right;
}
.index-info-top-text{
    font-size: 16px;
    display: inline-block;
    transition: all 0.5s linear;
    opacity: 0;
}


.index-info-about-line-box{
    position: relative;
    display: block;
    text-align: right;
}
.index-info-about-line{
    position: relative;
    width: 20px;
    height: 1px;
    background-color: #FFF;
    display: inline-block;
    margin: 5px 0;
    transition: all 0.5s linear;
}
.index-info-about-text{
    font-size: 16px;
    display: inline-block;
    opacity: 0;
    transition: all 0.5s linear;
}

.index-info-process-line-box{
    position: relative;
    display: block;
    text-align: right;
}
.index-info-process-line{
    position: relative;
    width: 20px;
    height: 1px;
    background-color: #FFF;
    display: inline-block;
    margin: 5px 0;
    transition: all 0.5s linear;
}
.index-info-process-text{
    font-size: 16px;
    display: inline-block;
    opacity: 0;
    transition: all 0.5s linear;
}

.index-info-projects-line-box{
    position: relative;
    display: block;
    text-align: right;
}
.index-info-projects-line{
    position: relative;
    width: 20px;
    height: 1px;
    background-color: #FFF;
    display: inline-block;
    margin: 5px 0;
    transition: all 0.5s linear;
}
.index-info-projects-text{
    font-size: 16px;
    display: inline-block;
    opacity: 0;
    transition: all 0.5s linear;
}

.index-info-contact-line-box{
    position: relative;
    display: block;
    text-align: right;
}
.index-info-contact-line{
    position: relative;
    width: 20px;
    height: 1px;
    background-color: #FFF;
    display: inline-block;
    margin: 5px 0;
    transition: all 0.5s linear;
}
.index-info-contact-text{
    font-size: 16px;
    display: inline-block;
    opacity: 0;
    transition: all 0.5s linear;
}


.footer-top:hover{
    cursor: pointer;
}
.index-info-top-line-box:hover .index-info-top-line{
    width: 40px;
}
.index-info-top-line-box:hover .index-info-top-text{
    opacity: 1;
}
.index-info-top-line-box:hover{
    cursor: pointer;
}
.index-info-about-line-box:hover .index-info-about-line{
    width: 40px;
}
.index-info-about-line-box:hover .index-info-about-text{
    opacity: 1;
}
.index-info-about-line-box:hover{
    cursor: pointer;
}
.index-info-process-line-box:hover .index-info-process-line{
    width: 40px;
}
.index-info-process-line-box:hover .index-info-process-text{
    opacity: 1;
}
.index-info-process-line-box:hover{
    cursor: pointer;
}
.index-info-projects-line-box:hover .index-info-projects-line{
    width: 40px;
}
.index-info-projects-line-box:hover .index-info-projects-text{
    opacity: 1;
}
.index-info-projects-line-box:hover{
    cursor: pointer;
}
.index-info-contact-line-box:hover .index-info-contact-line{
    width: 40px;
}
.index-info-contact-line-box:hover .index-info-contact-text{
    opacity: 1;
}
.index-info-contact-line-box:hover{
    cursor: pointer;
}
.footer-top:hover{
    color: #78cbbf;
    animation: fadeUpout-banner-arrow 1s linear 0s infinite alternate;
}
.footer-web a{
    transition: all .5s ease; 
}
.footer-web a:hover{
    color: #78cbbf;
}


@keyframes fadeUpout-banner-arrow {
  from {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }

  to {
    opacity: 0.4;
    -webkit-transform: translate3d(0, -20%, 0);
    transform: translate3d(0, -20%, 0);
  }
}